Package org.optaplanner.core.impl.score.stream.bavet.tri

## Class BavetAbstractTriNode<A,​B,​C>

- java.lang.Object
- - org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode
  - - org.optaplanner.core.impl.score.stream.bavet.tri.BavetAbstractTriNode<A,​B,​C>

- All Implemented Interfaces:
    `BavetNode`
  Direct Known Subclasses:
    `BavetFilterTriNode`, `BavetJoinTriNode`, `BavetScoringTriNode`

      public abstract class BavetAbstractTriNode<A,​B,​C>
      extends BavetAbstractNode

- - ### Field Summary

    - ### Fields inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `nodeIndex, session`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `BavetAbstractTriNode​(BavetConstraintSession session, int nodeIndex)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addChildNode​(BavetAbstractTriNode<A,​B,​C> childNode)` |
    `abstract BavetAbstractTriTuple<A,​B,​C>` | `createTuple​(BavetAbstractTriTuple<A,​B,​C> parentTuple)` |
    `List<BavetAbstractTriNode<A,​B,​C>>` | `getChildNodeList()` |

    - ### Methods inherited from class org.optaplanner.core.impl.score.stream.bavet.common.BavetAbstractNode

      `getNodeIndex, refresh`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BavetAbstractTriNode

          public BavetAbstractTriNode​(BavetConstraintSession session,
                                      int nodeIndex)

  - ### Method Detail

    - #### addChildNode

          public void addChildNode​(BavetAbstractTriNode<A,​B,​C> childNode)

    - #### getChildNodeList

          public List<BavetAbstractTriNode<A,​B,​C>> getChildNodeList()

    - #### createTuple

          public abstract BavetAbstractTriTuple<A,​B,​C> createTuple​(BavetAbstractTriTuple<A,​B,​C> parentTuple)